Passer au contenu principal
GET
/
v2
/
client
/
fundraiser
/
{id}
Goal / Raised Amounts
curl --request GET \
  --url https://api.crowdchange.dev/v2/client/fundraiser/{id} \
  --header 'Authorization: <api-key>'
{
  "type": "amount",
  "goal": 10000,
  "raised": 5000,
  "donors": 25,
  "n_teams": 10,
  "n_pages": 25,
  "name": "Gala Night",
  "description": "Help us reach our goal and make a difference!",
  "images": {
    "original": "https://img.crowdchange.dev/files/abc.png"
  },
  "event": {
    "start_at": "2024-01-01 18:00:00",
    "end_at": "2024-01-01 22:00:00"
  }
}

Path parameters

id
integer
requis
Fundraiser ID.

Query parameters

only_received
boolean
Include only received transactions for raised amount. Default: false

Response

type
string
Goal type. Allowed values: amount, donors
goal
number
Goal amount.
raised
number
Raised amount.
donors
number
Number of participants.
n_teams
number
Number of teams in the campaign.
n_pages
number
Number of personal pages in the campaign.
name
string
Campaign name.
description
string
Campaign description.
images
object
Campaign images.
event
object
Event dates for the campaign.
Other responses
StatusDescription
400Bad Request
403Forbidden
{
  "type": "amount",
  "goal": 10000,
  "raised": 5000,
  "donors": 25,
  "n_teams": 10,
  "n_pages": 25,
  "name": "Gala Night",
  "description": "Help us reach our goal and make a difference!",
  "images": {
    "original": "https://img.crowdchange.dev/files/abc.png"
  },
  "event": {
    "start_at": "2024-01-01 18:00:00",
    "end_at": "2024-01-01 22:00:00"
  }
}